Jump to content
Search In
  • More options...
Find results that contain...
Find results in...

forge 1.12.2 - 14.23.5.2768 serverlaunchwrapper.class


Lanteans
 Share

Recommended Posts

this is what shows up when i run the (java -Xms1024M -Xmx2048M -jar) on the forge-1.12.2-14.23.5.2768-universal folder (named forge.1.12.2.jar) it worked on fie explorer but as soon as i moved it to the server i was running it on (linuxed based server) it gave me this:

 

$ java -Xms1024M -Xmx2048M -jar forge.1.12.2.jar nogui
A problem occurred running the Server launcher.java.lang.reflect.InvocationTargetException
        at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
        at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.base/java.lang.reflect.Method.invoke(Method.java:567)
        at net.minecraftforge.fml.relauncher.ServerLaunchWrapper.run(ServerLaunchWrapper.java:70)
        at net.minecraftforge.fml.relauncher.ServerLaunchWrapper.main(ServerLaunchWrapper.java:34)
Caused by: java.lang.ClassCastException: class jdk.internal.loader.ClassLoaders$AppClassLoader cannot be cast to class java.net.URLClassLoader (jdk.internal.loader.ClassLoaders$AppClassLoader and java.net.URLClassLoader are in module java.base of loader 'bootstrap')
        at net.minecraft.launchwrapper.Launch.<init>(Launch.java:34)
        at net.minecraft.launchwrapper.Launch.main(Launch.java:28)
        ... 6 more

 

Edited by Lanteans
Link to comment
Share on other sites

4 minutes ago, Lanteans said:

it's being hosted on a linux based server?

1.12.2 is no longer supported on this forum. Please update to a modern Minecraft version to receive support. For more information read the LTS at the top of the page.

VANILLA MINECRAFT CLASSES ARE THE BEST RESOURCES WHEN MODDING

I will be posting 1.15.2 modding tutorials on this channel. If you want to be notified of it do the normal YouTube stuff like subscribing, ect.

Forge and vanilla BlockState generator.

Link to comment
Share on other sites

sorry "Animefan8888" for asking so many questions but we've been using this minecraft server for awhile now so is it just the forge 1.12.2 that is no longer supported on linux? 

 

Sorry if i missed the memo.

Link to comment
Share on other sites

Guest
This topic is now closed to further replies.
 Share



×
×
  • Create New...

Important Information

By using this site, you agree to our Privacy Policy.